Bug 62776 - Can't show Japanese Excel file correctly
Summary: Can't show Japanese Excel file correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnumeric (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901 67218
TreeView+ depends on / blocked
 
Reported: 2002-04-05 14:32 UTC by Akira TAGOH
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 05:18:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
please apply this patch instead of current patch. (3.86 KB, patch)
2002-04-05 14:33 UTC, Akira TAGOH
no flags Details | Diff
Sample Excel file (18.50 KB, application/octet-stream)
2002-04-05 14:34 UTC, Akira TAGOH
no flags Details
fix a patch. (729 bytes, patch)
2002-04-10 09:58 UTC, Akira TAGOH
no flags Details | Diff

Description Akira TAGOH 2002-04-05 14:32:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
Our gnumeric is applied l10n patch for Japanese Excel files. this patch was
useful when our gnome-print was applied VFlib2 patch, but gnumeric which was
applied this patch doesn't work now correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.runs gnumeric
2.open Japanese Excel file
3.
	

Actual Results:  most Japanese Excel file use the MS fonts like MS Gothic and MS
Mincho. but we have no these fonts. so that text is broken.

Expected Results:  use Japanese fonts which we have instead of MS fonts.

Additional info:

Sometimes we get those files. but we can't show it correctly until now. if our
gnumeric can show it, we will get a benefit.

Comment 1 Akira TAGOH 2002-04-05 14:33:02 UTC
Created attachment 52345 [details]
please apply this patch instead of current patch.

Comment 2 Akira TAGOH 2002-04-05 14:34:15 UTC
Created attachment 52346 [details]
Sample Excel file

Comment 3 Jody Goldberg 2002-04-09 21:21:00 UTC
Please do NOT apply that patch it is completely inappropriate at that level.
gnumeric/plugins/excel/ms-excel-read.c:get_substitute_font

is that place to do that sort of mapping in 1.0
and that code has temporarilly moved to src/style.c:get_substitute_font in 1.1

However before 1.2 we'll rely on pango/XftConfig

Comment 4 Havoc Pennington 2002-04-09 21:35:27 UTC
Tagoh can you redo the patch as Jody described? I don't want to put in 
patches that upstream considers wrong.

Comment 5 Akira TAGOH 2002-04-10 06:54:03 UTC
Sure. I'll remake this patch. Thanks Jody.

Comment 6 Akira TAGOH 2002-04-10 09:58:57 UTC
Created attachment 53048 [details]
fix a patch.

Comment 7 Havoc Pennington 2002-04-10 12:58:30 UTC
Jody here's another one

Comment 8 Jody Goldberg 2002-04-10 14:05:46 UTC
That looks much better.  I'll add it to 1.0.6, and forward port it to 1.1 for now.

Comment 9 Akira TAGOH 2002-04-10 15:49:16 UTC
Hmm, as you wrote in source, this patch is also ad-hoc. I don't like a
particular font name is hardcoded. for example, gnome-print supports Type1's
alias name, but it doesn't support TTF's alias name, do it? Gnumeric now get
some font info from gnome-print. so if gnome-print can do that, I think this
problem will be fixed.
However Gnumeric may get a lot of font names, but changing a font name by each
users is important, I think.

Comment 10 Havoc Pennington 2002-04-10 21:10:45 UTC
I applied the patch.

Comment 11 Akira TAGOH 2002-06-18 08:59:52 UTC
Hmm, please don't apply gnumeric-0.67-excel95-ja.patch. we no longer need it.
that patch bothers the new patch.

Comment 12 Havoc Pennington 2002-07-02 23:27:36 UTC
What remains to be done for this in Rawhide?

Comment 13 Havoc Pennington 2002-07-05 21:52:22 UTC
NEEDINFO, I don't know what to do with this bug. Is there a patch in the RPM 
that should be removed?

Comment 14 Akira TAGOH 2002-07-08 05:18:13 UTC
Yes, it's gnumeric-0.67-excel95-ja.patch. we should applied
gnumeric-1.0.5-exceljpfonts.patch in order to replace it.
old patch forces to change the font name in the excel plugin. so new patch can't
work correctly.
Removing gnumeric-0.67-excel95-ja.patch will re-fix this problem.

Comment 15 Akira TAGOH 2002-07-26 13:51:10 UTC
fixed in 1.0.9-1


Note You need to log in before you can comment on or make changes to this bug.